<div class="container">
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">
              <button type="button" class="btn btn-default pull-right btn-xs add-invoice-btn" ui-sref="add-invoice">Add invoice
                  </button>
              Invoices
            </h3>
        </div>
        <div class="panel-body">
            <div ng-if="invoiceCtrl.isLoading">
                <i class="fa fa-spinner fa-pulse"></i>
            </div>
            <div ng-if="!invoiceCtrl.isLoading">
                <div class="col-xs-12 mt10" ng-if="invoiceCtrl.errorMsg">
                    <div uib-alert ng-class="'alert-danger'" class="margin5">{{invoiceCtrl.errorMsg}}</div>
                </div>
                <div ng-if="!invoiceCtrl.errorMsg">
                    <div ng-if="invoiceCtrl.invoices.length" class="custom-table">
                        <div class="row table-header">
                            <div class="col-sm-3">Customer Name</div>
                            <div class="col-sm-4">Customer Address</div>
                            <div class="col-sm-2">Discount</div>
                            <div class="col-sm-2">Total</div>
                            <div class="col-sm-1">Edit</div>
                        </div>
                        <div ng-repeat="invoice in invoiceCtrl.invoices" class="row custom-table-row">
                            <div class="col-sm-3">{{invoiceCtrl.getCustomerName(invoice.customer_id)}}</div>
                            <div class="col-sm-4">{{invoiceCtrl.getCustomerAddress(invoice.customer_id)}}</div>
                            <div class="col-sm-2">{{invoice.discount || 0}}%</div>
                            <div class="col-sm-2">{{(invoice.total || 0)| currency:"$"}}</div>
                            <div class="col-sm-1">
                                <button type="button" class="btn btn-primary btn-xs" aria-label="Left Align" ng-click="invoiceCtrl.openEditInvice(invoice.id)">
                                    <i class="fa fa-pencil"></i>
                                </button>
                                <button type="button" class="btn btn-default btn-xs" aria-label="Left Align" ng-click="invoiceCtrl.removeInvice($index)">
                                    <i class="fa fa-trash"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div ng-if="!invoiceCtrl.invoices.length">
                        No invoice found
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>